summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2015-05-11 03:05:21 +0000
committerMike Frysinger <vapier@gentoo.org>2015-05-11 03:05:21 +0000
commitf3db5da9a27c4820e3c20678ce8812df01addfe6 (patch)
tree010b7449a4523e773de2faba03068ddc0c1f75e5 /eclass
parentBump, remove old (diff)
downloadgentoo-2-f3db5da9a27c4820e3c20678ce8812df01addfe6.tar.gz
gentoo-2-f3db5da9a27c4820e3c20678ce8812df01addfe6.tar.bz2
gentoo-2-f3db5da9a27c4820e3c20678ce8812df01addfe6.zip
use find to run sed on la files so we skip sed when there are no la files #548782
Diffstat (limited to 'eclass')
-rw-r--r--eclass/toolchain.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index cfaf29738651..17dc420e8b8c 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.667 2015/05/08 11:21:02 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.668 2015/05/11 03:05:21 vapier Exp $
# Maintainer: Toolchain Ninjas <toolchain@gentoo.org>
@@ -1827,7 +1827,7 @@ fix_libtool_libdir_paths() {
sed -i \
-e "/^dependency_libs=/s:/[^ ]*/${allarchives}:${LIBPATH}/\1:g" \
$(find ./${PREFIX}/lib* -maxdepth 3 -name '*.la') \
- ./${dir}/*.la || die
+ $(find ./${dir}/ -maxdepth 1 -name '*.la') || die
popd >/dev/null
}